%define tarname Pygments
%define module	pygments

Summary:	Syntax highlighting package written in Python

Name:		python3-%{module}
Version:	2.0.2
Release:	1
Group:		Development/Python
License:	BSD
Url:		http://pygments.org/
Source0:	http://pypi.python.org/packages/source/P/%{tarname}/%{tarname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-setuptools
BuildRequires:  python3-devel
Requires:	python3-pkg-resources

%description
Pygments is a syntax highlighting package written in Python.  It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.  Highlights are:

* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI
  sequences
* it is usable as a command-line tool and as a library
* ... and it highlights even Brainf*ck!

%prep
%setup -qn %{tarname}-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
python3 setup.py build

%install
PYTHONDONTWRITEBYTECODE=  python3 setup.py install --skip-build --root=%{buildroot}
mv %{buildroot}%{_bindir}/pygmentize %{buildroot}%{_bindir}/py3gmentize

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/pygmentize.1 %{buildroot}%{_mandir}/man1/py3gmentize.1

%files
%doc AUTHORS CHANGES LICENSE TODO
%{_bindir}/py3gmentize
%{py3_puresitedir}/pygments/*
%{py3_puresitedir}/Pygments-*
%{_mandir}/man1/py3gmentize.*

%changelog

* Wed Oct 14 2015 Denis Silakov <dsilakov@gmail.com> 2.0.2-1
- (abb2949) Updated to 2.0.2


